package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.Equipment;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.ArrayList;
import java.util.List;

/**
 * 设备Service接口
 * 
 * @author chen
 * @date 2024-02-25
 */
public interface IEquipmentService extends IService<Equipment> {
    /**
     * 查询设备
     * 
     * @param id 设备ID
     * @return 设备
     */
    Equipment selectEquipmentById(Long id);

    /**
     * 查询设备列表
     * 
     * @param equipment 设备
     * @return 设备集合
     */
    List<Equipment> selectEquipmentList(Equipment equipment);

    /**
     * 新增设备
     * 
     * @param equipment 设备
     * @return 结果
     */
    int insertEquipment(Equipment equipment);

    /**
     * 修改设备
     * 
     * @param equipment 设备
     * @return 结果
     */
    int updateEquipment(Equipment equipment);

    /**
     * 批量删除设备
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteEquipmentByIds(String ids);

    /**
     * 删除设备信息
     * 
     * @param id 设备ID
     * @return 结果
     */
    int deleteEquipmentById(Long id);

    List<Equipment> selectListByIds(List<Long> ids);

    Equipment selectByDeviceCode(String deviceCode);
}
